## org.codehaus.groovy.grails.resolve
Class EnhancedDefaultDependencyDescriptor

    java.lang.Object
      org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor
          org.codehaus.groovy.grails.resolve.EnhancedDefaultDependencyDescriptor

All Implemented Interfaces:
  groovy.lang.GroovyObject, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.util.extendable.ExtendableItem

    public class EnhancedDefaultDependencyDescriptor

extends org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor
implements groovy.lang.GroovyObject

Constructor Summary
`EnhancedDefaultDependencyDescriptor(org.apache.ivy.core.module.id.ModuleRevisionId mrid, boolean force, boolean transitive, String scope)`
`EnhancedDefaultDependencyDescriptor(org.apache.ivy.core.module.id.ModuleRevisionId mrid, boolean force, String scope)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `addRuleForModuleId(org.apache.ivy.core.module.id.ModuleId mid, String scope)`
`void` `dependencyConfiguration(String config)`
`void` `exclude(Object exclude)`
`void` `excludes(Object[] args)`
`boolean` `getExported()`
`boolean` `getInherited()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getPlugin()`
`Object` `getProperty(String property)`
`String` `getScope()`
`static String` `getWILDCARD()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isExported()`
`boolean` `isExportedToApplication()`
`boolean` `isInherited()`
`void` `setExport(boolean b)`
`void` `setExported(boolean value)`
`void` `setInherited(boolean value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setPlugin(String value)`
`void` `setProperty(String property, Object value)`
`void` `setScope(String value)`
`void` `setTransitive(boolean b)`

Methods inherited from class org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor

`addDependencyArtifact, addDependencyConfiguration, addExcludeRule, addIncludeRule, asSystem, canExclude, clone, doesExclude, getAllDependencyArtifacts, getAllExcludeRules, getAllIncludeRules, getAttribute, getAttributes, getDependencyArtifacts, getDependencyArtifacts, getDependencyConfigurations, getDependencyConfigurations, getDependencyConfigurations, getDependencyId, getDependencyRevisionId, getDynamicConstraintDependencyRevisionId, getExcludeRules, getExcludeRules, getExtraAttribute, getExtraAttributes, getIncludeRules, getIncludeRules, getModuleConfigurations, getNamespace, getParentRevisionId, getQualifiedExtraAttributes, isChanging, isForce, isTransitive, replaceFallbackConfigurationPattern, replaceSelfFallbackPattern, replaceThisFallbackPattern, toString, transformInstance, transformInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnhancedDefaultDependencyDescriptor

    public EnhancedDefaultDependencyDescriptor(org.apache.ivy.core.module.id.ModuleRevisionId mrid,
                                               boolean force,
                                               String scope)

### EnhancedDefaultDependencyDescriptor

    public EnhancedDefaultDependencyDescriptor(org.apache.ivy.core.module.id.ModuleRevisionId mrid,
                                               boolean force,
                                               boolean transitive,
                                               String scope)

Method Detail

### getWILDCARD

    public static String getWILDCARD()

### getScope

    public String getScope()

### setScope

    public void setScope(String value)

### getPlugin

    public String getPlugin()

### setPlugin

    public void setPlugin(String value)

### getInherited

    public boolean getInherited()

### isInherited

    public boolean isInherited()

### setInherited

    public void setInherited(boolean value)

### getExported

    public boolean getExported()

### isExported

    public boolean isExported()

### setExported

    public void setExported(boolean value)

### isExportedToApplication

    public boolean isExportedToApplication()

### setExport

    public void setExport(boolean b)

### excludes

    public void excludes(Object[] args)

### exclude

    public void exclude(Object exclude)

### dependencyConfiguration

    public void dependencyConfiguration(String config)

### setTransitive

    public void setTransitive(boolean b)

### addRuleForModuleId

    public void addRuleForModuleId(org.apache.ivy.core.module.id.ModuleId mid,
                                   String scope)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project